# advrandom

`advrandom` is an advanced and enhanced random number generation library designed for high-security applications, AI models, cryptography, and general-purpose randomness. It surpasses Python’s `random` module with cryptographic security, entropy enhancements, and multithreaded optimizations.

## Features

- Cryptographic security (`secrets`, `hashlib`, `os.urandom`)
- Multi-threaded high-speed number generation
- Gaussian-distributed random numbers
- Secure entropy-based hashing for unpredictable randomness
- Random execution delays (useful for bot protection)

## Installation

```bash
pip install advrandom
```
